Half installation for a snap

Bug #1575399 reported by Sergio Schvezov on 2016-04-26
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Snappy
Critical
Unassigned

Bug Description

I ran snap remove; got some busy messages; in the meantime did:

$ snap interfaces
Slot Plug
:firewall-control -
:home -
:locale-control -
:log-observe -
:mount-observe -
:network vscode
:network-bind vscode
:network-control -
:network-observe -
:opengl -
:snapd-control -
:system-observe -
:timeserver-control -
:timezone-control -
:unity7 vscode
:x11 -
- vscode:home

$ sudo snap connect vscode:home ubuntu-core:home
[\] Connect vscode:home to ubuntu-core:home

$ vscode
bash: /snap/bin/vscode: No such file or directory

$ ls /snap/bin/|wc -l
0

$ ls /snap/vscode/
100001

$ snap list
Name Version Developer
ubuntu-core 16.04+20160419.20-55 canonical
vscode 1.0

$ snap changes
ID Status Spawn Ready Summary
1 Done 2016-04-26T21:55:32Z 2016-04-26T21:58:46Z Install "/tmp/snapd-sideload-pkg-051248549" snap file
2 Done 2016-04-26T22:11:10Z 2016-04-26T22:11:10Z Remove "vscode" snap
3 Done 2016-04-26T22:11:18Z 2016-04-26T22:11:19Z Install "/tmp/snapd-sideload-pkg-702293485" snap file
4 Error 2016-04-26T22:16:43Z 2016-04-26T22:16:44Z Remove "vscode" snap
5 Done 2016-04-26T22:23:36Z 2016-04-26T22:23:37Z Connect vscode:home to ubuntu-core:home

journalctl http://paste.ubuntu.com/16071899/

Michael Vogt (mvo) wrote :

The umount handling is not reliable yet:
"""
Failed to stop "/etc/systemd/system/snap-vscode-100001.mount": [stop snap-vscode-100001.mount] failed with exit status 1: Job for snap-vscode-100001.mount failed. See "systemctl status snap-vscode-100001.mount" and "journalctl -xe" for details.
                                                    , but continuing anyway.
"""
This is leftover from the pre-state engine days. We will work on a fix.

Changed in snappy:
importance: Undecided → Critical
milestone: none → sru-1
status: New → Triaged
Michael Vogt (mvo) wrote :

Here is the branch that fixes this: https://github.com/ubuntu-core/snappy/pull/1087

Changed in snappy:
status: Triaged → In Progress
Michael Vogt (mvo) on 2016-05-03
Changed in snappy:
status: In Progress → Fix Committed

Hello Sergio, or anyone else affected,

Accepted snapd into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/snapd/2.0.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
John Lenton (chipaca) on 2016-05-12
tags: added: verification-done
removed: verification-needed

The verification of the Stable Release Update for snapd has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Michael Vogt (mvo) on 2016-11-29
Changed in snappy:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers